---
updatedAt: 2026-05-14T17:08:40.000Z
---

Fetch the complete documentation index at: https://developers.pismo.io/pismo-docs/llms.txt. Use this file to discover all available pages before exploring further. Append .md to any documentation page URL to get its markdown version.

# Get address

Get address information using an account ID and address ID.

To get a list of address IDs, call [List addresses](ref:get-accounts-v1-accounts-accountid-addresses).


# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "Core platform - Accounts",
    "version": "1.0.0",
    "description": "API used to manage accounts domain",
    "contact": {
      "name": "API Support",
      "url": "https://developers.pismo.io/support/"
    },
    "license": {
      "name": "Copyright Pismo"
    }
  },
  "servers": [
    {
      "url": "https://sandbox.pismolabs.io",
      "description": "API server for testing."
    }
  ],
  "tags": [
    {
      "name": "Addresses",
      "description": "Endpoints to manage addresses"
    }
  ],
  "components": {
    "parameters": {
      "AccountIdPath": {
        "name": "accountId",
        "in": "path",
        "description": "Account ID",
        "required": true,
        "schema": {
          "type": "integer",
          "format": "int64",
          "minimum": 1,
          "example": 123
        }
      },
      "AddressIdPath": {
        "name": "addressId",
        "in": "path",
        "description": "Address ID",
        "required": true,
        "schema": {
          "type": "integer",
          "format": "int64",
          "example": 456,
          "minimum": 1
        }
      }
    },
    "schemas": {
      "AccountID": {
        "type": "integer",
        "format": "int64",
        "description": "Account ID",
        "example": 1001
      },
      "Address": {
        "type": "string",
        "description": "Street, avenue, road, and so on, name.",
        "maxLength": 300,
        "example": "Mulholland Drive"
      },
      "AddressActive": {
        "type": "boolean",
        "description": "Is address active? Default is `false`.",
        "default": false,
        "example": true
      },
      "AddressID": {
        "type": "integer",
        "format": "int32",
        "description": "Address ID",
        "example": 456
      },
      "AddressResponse": {
        "type": "object",
        "description": "Address response",
        "properties": {
          "id": {
            "$ref": "#/components/schemas/AddressID"
          },
          "address_type": {
            "$ref": "#/components/schemas/AddressType"
          },
          "address": {
            "$ref": "#/components/schemas/Address"
          },
          "number": {
            "$ref": "#/components/schemas/AddressNumber"
          },
          "extended_number": {
            "$ref": "#/components/schemas/AddressExtendedNumber"
          },
          "complementary_address": {
            "$ref": "#/components/schemas/ComplementaryAddress"
          },
          "neighborhood": {
            "$ref": "#/components/schemas/Neighborhood"
          },
          "zip_code": {
            "$ref": "#/components/schemas/ZipCode"
          },
          "city": {
            "$ref": "#/components/schemas/City"
          },
          "state": {
            "$ref": "#/components/schemas/State"
          },
          "country": {
            "$ref": "#/components/schemas/Country"
          },
          "creation_date": {
            "$ref": "#/components/schemas/CustomerAddressDate"
          },
          "mailing_address": {
            "$ref": "#/components/schemas/MailingAddress"
          },
          "active": {
            "$ref": "#/components/schemas/AddressActive"
          },
          "org_id": {
            "$ref": "#/components/schemas/OrganizationID"
          },
          "account_id": {
            "$ref": "#/components/schemas/AccountID"
          },
          "last_update": {
            "$ref": "#/components/schemas/AddressLastUpdate"
          },
          "custom_fields": {
            "$ref": "#/components/schemas/CustomFields"
          },
          "customer_ids": {
            "type": "array",
            "description": "Customer IDs linked to this address.",
            "items": {
              "$ref": "#/components/schemas/CustomerID"
            }
          }
        }
      },
      "AddressLastUpdate": {
        "type": "string",
        "format": "date-time",
        "example": "2019-07-22T14:35:00.000Z",
        "description": "UTC date/time when address was last updated. Format = yyyy-mm-dd:hr:mm:ss."
      },
      "AddressNumber": {
        "type": "integer",
        "format": "int32",
        "description": "Address number with numeric characters only",
        "example": 456
      },
      "AddressExtendedNumber": {
        "type": "string",
        "description": "Address number with numeric and non-numeric characters",
        "example": "456 B"
      },
      "AddressType": {
        "type": "string",
        "description": "Address type",
        "enum": [
          "RESIDENTIAL",
          "COMMERCIAL",
          "OTHER"
        ],
        "example": "RESIDENTIAL"
      },
      "City": {
        "type": "string",
        "description": "Address city",
        "maxLength": 100,
        "example": "San Diego"
      },
      "ComplementaryAddress": {
        "type": "string",
        "description": "Any additional information such as suite, apt., and so on.",
        "maxLength": 100,
        "example": "Apt 1408"
      },
      "Country": {
        "type": "string",
        "description": "Address country",
        "maxLength": 30,
        "example": "Brazil"
      },
      "CustomerAddressDate": {
        "type": "string",
        "description": "Date customer first acquired this address. Format = dd/mm/yyyy.",
        "example": "15/05/2022"
      },
      "CustomerID": {
        "type": "integer",
        "format": "int64",
        "description": "Customer ID",
        "example": 100211299
      },
      "CustomFields": {
        "type": "object",
        "description": "Key/value field for custom information. (Limited to 1014 bytes.)",
        "example": {
          "field_01": "value01",
          "field_02": "value02"
        }
      },
      "MailingAddress": {
        "type": "boolean",
        "description": "Is this address the mailing address?\n\nOnly one address can have this field set to `true`.\n",
        "example": true
      },
      "Neighborhood": {
        "type": "string",
        "description": "Address neighborhood. Some countries use neighborhood in addresses.",
        "maxLength": 100,
        "example": "Shady Pines"
      },
      "OrganizationID": {
        "type": "string",
        "description": "Organization ID",
        "example": "TN-34778262-f4f0-464d-b4c6-a14e2dc6f4be"
      },
      "SimpleError": {
        "title": "SimpleError",
        "type": "object",
        "required": [
          "message"
        ],
        "properties": {
          "message": {
            "type": "string",
            "description": "Error message"
          }
        }
      },
      "State": {
        "type": "string",
        "description": "Address state",
        "maxLength": 30,
        "example": "California"
      },
      "ZipCode": {
        "type": "string",
        "maxLength": 16,
        "description": "Zip/postal code",
        "example": "12345-678"
      }
    },
    "securitySchemes": {
      "BearerAuth": {
        "type": "http",
        "scheme": "bearer",
        "bearerFormat": "JWT"
      }
    }
  },
  "security": [
    {
      "BearerAuth": []
    }
  ],
  "x-readme": {
    "explorer-enabled": true,
    "proxy-enabled": true,
    "samples-enabled": true
  },
  "paths": {
    "/accounts/v1/accounts/{accountId}/addresses/{addressId}": {
      "get": {
        "operationId": "get-accounts-v1-accounts-accountId-addresses-addressId",
        "summary": "Get address",
        "description": "Get address information using an account ID and address ID.\n\nTo get a list of address IDs, call [List addresses](https://developers.pismo.io/pismo-docs/reference/get-accounts-v1-accounts-accountid-addresses).\n",
        "tags": [
          "Addresses"
        ],
        "parameters": [
          {
            "$ref": "#/components/parameters/AccountIdPath"
          },
          {
            "$ref": "#/components/parameters/AddressIdPath"
          }
        ],
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/AddressResponse"
                }
              }
            }
          },
          "400": {
            "description": "Bad request",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/SimpleError"
                },
                "examples": {
                  "Invalid path parameter": {
                    "value": {
                      "message": "Invalid request"
                    }
                  }
                }
              }
            }
          },
          "404": {
            "description": "Address not found or inactive for the given account.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/SimpleError"
                },
                "examples": {
                  "Not found": {
                    "value": {
                      "message": "Address not found for this account"
                    }
                  }
                }
              }
            }
          },
          "500": {
            "description": "Internal server error",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/SimpleError"
                },
                "examples": {
                  "Invalid path parameter": {
                    "value": {
                      "message": "Invalid request"
                    }
                  }
                }
              }
            }
          }
        }
      }
    }
  }
}
```